org.eclnt.jsfserver.elements.componentnodes

## Class MENUITEMCONTAINERNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.MENUITEMCONTAINERNode

- All Implemented Interfaces:
    java.io.Serializable

      public class MENUITEMCONTAINERNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MENUITEMCONTAINERNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MENUITEMCONTAINERNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `MENUITEMCONTAINERNode` | `bindBackground(IDynamicContentBindingObject value)`
    `MENUITEMCONTAINERNode` | `bindBgpaint(IDynamicContentBindingObject value)`
    `MENUITEMCONTAINERNode` | `bindClientname(IDynamicContentBindingObject value)`
    `MENUITEMCONTAINERNode` | `bindComment(IDynamicContentBindingObject value)`
    `MENUITEMCONTAINERNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `MENUITEMCONTAINERNode` | `bindPadding(IDynamicContentBindingObject value)`
    `MENUITEMCONTAINERNode` | `bindRendered(IDynamicContentBindingObject value)`
    `MENUITEMCONTAINERNode` | `bindRowdistance(IDynamicContentBindingObject value)`
    `MENUITEMCONTAINERNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `MENUITEMCONTAINERNode` | `setAdapterbinding(java.lang.String value)`
    `MENUITEMCONTAINERNode` | `setAttributemacro(java.lang.String value)`
    `MENUITEMCONTAINERNode` | `setBackground(java.lang.String value)`
    `MENUITEMCONTAINERNode` | `setBgpaint(java.lang.String value)`
    `MENUITEMCONTAINERNode` | `setClientname(java.lang.String value)`
    `MENUITEMCONTAINERNode` | `setComment(java.lang.String value)`
    `MENUITEMCONTAINERNode` | `setConfiginfo(java.lang.String value)`
    `MENUITEMCONTAINERNode` | `setId(java.lang.String value)`
    `MENUITEMCONTAINERNode` | `setPadding(java.lang.String value)`
    `MENUITEMCONTAINERNode` | `setReference(java.lang.String value)`
    `MENUITEMCONTAINERNode` | `setRendered(boolean value)`
    `MENUITEMCONTAINERNode` | `setRendered(java.lang.String value)`
    `MENUITEMCONTAINERNode` | `setRowdistance(int value)`
    `MENUITEMCONTAINERNode` | `setRowdistance(java.lang.String value)`
    `MENUITEMCONTAINERNode` | `setStylevariant(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MENUITEMCONTAINERNode

          public MENUITEMCONTAINERNode()

  - ### Method Detail

    - #### setId

          public MENUITEMCONTAINERNode setId(java.lang.String value)

    - #### setAdapterbinding

          public MENUITEMCONTAINERNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public MENUITEMCONTAINERNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public MENUITEMCONTAINERNode setAttributemacro(java.lang.String value)

    - #### setBackground

          public MENUITEMCONTAINERNode setBackground(java.lang.String value)

    - #### bindBackground

          public MENUITEMCONTAINERNode bindBackground(IDynamicContentBindingObject value)

    - #### setBgpaint

          public MENUITEMCONTAINERNode setBgpaint(java.lang.String value)

    - #### bindBgpaint

          public MENUITEMCONTAINERNode bindBgpaint(IDynamicContentBindingObject value)

    - #### setClientname

          public MENUITEMCONTAINERNode setClientname(java.lang.String value)

    - #### bindClientname

          public MENUITEMCONTAINERNode bindClientname(IDynamicContentBindingObject value)

    - #### setComment

          public MENUITEMCONTAINERNode setComment(java.lang.String value)

    - #### bindComment

          public MENUITEMCONTAINERNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public MENUITEMCONTAINERNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public MENUITEMCONTAINERNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setPadding

          public MENUITEMCONTAINERNode setPadding(java.lang.String value)

    - #### bindPadding

          public MENUITEMCONTAINERNode bindPadding(IDynamicContentBindingObject value)

    - #### setReference

          public MENUITEMCONTAINERNode setReference(java.lang.String value)

    - #### setRendered

          public MENUITEMCONTAINERNode setRendered(java.lang.String value)

    - #### bindRendered

          public MENUITEMCONTAINERNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public MENUITEMCONTAINERNode setRendered(boolean value)

    - #### setRowdistance

          public MENUITEMCONTAINERNode setRowdistance(java.lang.String value)

    - #### bindRowdistance

          public MENUITEMCONTAINERNode bindRowdistance(IDynamicContentBindingObject value)

    - #### setRowdistance

          public MENUITEMCONTAINERNode setRowdistance(int value)

    - #### setStylevariant

          public MENUITEMCONTAINERNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public MENUITEMCONTAINERNode bindStylevariant(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.